# eric7.Project.UicCompilerOptionsDialog

Module implementing a dialog to enter some non-common uic compiler options.

### Global Attributes

None

### Classes

UicCompilerOptionsDialog | Class implementing a dialog to enter some non-common uic compiler options.

### Functions

None

## UicCompilerOptionsDialog

Class implementing a dialog to enter some non-common uic compiler options.

### Derived from

QDialog, Ui_UicCompilerOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

UicCompilerOptionsDialog | Constructor
getData | Public method to get the entered data.

### Static Methods

None

#### UicCompilerOptionsDialog (Constructor)

UicCompilerOptionsDialog(compilerOptions, compiler, parent=None)

Constructor

compilerOptions (dict)
  dictionary containing the uic compiler options
compiler (str)
  name of the uic compiler executable
parent (QWidget)
  reference to the parent widget

#### UicCompilerOptionsDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing the package, the rc-file suffix and the project relative root of the packages directory

Return Type:
  tuple of (str, str, str)

Up